New to Kendo UI for Vue? Start a free 30-day trial

Grid

Represents the native Vue Grid component by Kendo UI.

  <div id="app">
      <Grid
          :data-items="products"
          :columns="columns">
       </Grid>
  </div>
  <script>
      Vue.component('Grid', Grid);
      new Vue({
          el: '#app',
          data: function () {
              return {
                 products: [
                   { 'foo': 'A1', 'bar': 'B1' },
                      { 'foo': 'A2', 'bar': 'B2' },
                      { 'foo': 'A3', 'bar': 'B2' }
                  ],
                  columns: [
                      { field: 'foo'},
                      { field: 'bar'}
                  ]
              };
          }
      });
  </script>

props GridProps

In this article

Not finding the help you need?

New to KendoReactLearn about KendoReact Free.

Grid

Represents the KendoReact Grid component.

A Functional Component.

jsx
const App = () => {
    const [data, setData] = useState([
        { foo: 'A1', bar: 'B1' },
        { foo: 'A2', bar: 'B2' },
        { foo: 'A3', bar: 'B2' }
    ]);

    return (
        <Grid data={data} reorderable={true}>
            <GridColumn field="foo" />
            <GridColumn field="bar" />
        </Grid>
    );
};

export default App;
NameTypeDefaultDescription

props

GridProps intersected with RefAttributes<"null" | GridHandle>

The props of the Grid component.

Not finding the help you need?
Contact Support